<nav class="navbar navbar-expand-lg top-nav">
    <button class="navbar-toggler collapsed" type="button" data-toggle="collapse" data-target="#navbarNavDropdown" aria-controls="navbarNavDropdown" aria-expanded="true" aria-label="Toggle navigation">
        <i class="fas fa-bars fa-2x" style="font-size: 100%; color: #AE4040" aria-hidden="true"></i>
    </button>
    <div class="navbar-collapse collapse" id="navbarNavDropdown" style="">
        <ul class="nav navbar-nav">
            <li class="nav-item" data-toggle="collapse" data-target=".navbar-collapse.show">
                <a href="/" class="nav-link">Home</a>
            </li>
            <li class="nav-item" data-toggle="collapse" data-target=".navbar-collapse.show">
                <a href="/activity/add/" class="nav-link">Activity</a>
            </li>
            <li class="nav-item" data-toggle="collapse" data-target=".navbar-collapse.show">
                <a href="/booksearch/" class="nav-link">Book Search</a>
            </li>
        </ul>
        {% if request.user.is_authenticated %}
        <ul class="nav navbar-nav ml-auto"> 
            <li><a href="#" style="color: white;"><span class="glyphicon"></span><i class="fas fa-user-alt profile-icon" style="padding-right:10px;"></i>Hi, {{ user.username }}</a></li>
            <li><a href="/auth/logout/" style="color: white;">Logout</a></li>
        </ul>
        {% else %}
        <ul class="nav navbar-nav ml-auto"> 
            <li><a href="/auth/register/" style="color: white;"><span class="glyphicon"></span><i class="fas fa-user-alt profile-icon" style="padding-right:10px;"></i>Register Account</a></li>
            {% comment %} <li><a href="/admin/login/?next=/"><span class="glyphicon"></span>Login</a></li> {% endcomment %}
            <li><a href="/auth/" style="color: white;"><span class="glyphicon"></span>Login</a></li>
        </ul>
        {% endif %}
    </div>
</nav>